import { ChartResizeIdleEventArgs as ChartResizeIdleEventArgs_internal } from "./ChartResizeIdleEventArgs";
/**
 * Provides information about the chart going idle from being resized.
*/
export declare class IgxChartResizeIdleEventArgs {
    protected createImplementation(): ChartResizeIdleEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): ChartResizeIdleEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
}
